## icu 4.8.1.1

=== debian/changelog ===
icu (4.8.1.1-8ubuntu0.1) quantal-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    race condition.
    - debian/patches/CVE-2013-0900.patch: fix thread safety issue in
      source/common/locid.cpp, source/common/unicode/locid.h.
    - CVE-2013-0900
  * SECURITY UPDATE: denial of service and possible code execution via
    use after free.
    - debian/patches/CVE-2013-2924.patch: check lengths in
      source/i18n/csrucode.cpp.
    - CVE-2013-2924

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 10 Oct 2013 10:33:37 -0400

icu (4.8.1.1-8) unstable; urgency=low

  * Switch hardening back to hardening-wrapper again since otherwise some
    things sneak into icu-config's output.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 05 Jun 2012 14:27:27 -0400

icu (4.8.1.1-7) unstable; urgency=low

  * Switch hardening back to dpkg-buildoptions.
  * Fix doc install for newer doxygen.  (Closes: #674382)

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 24 May 2012 13:55:13 -0400

icu (4.8.1.1-6) unstable; urgency=low

  * Remove 32-bit packages built on 64-bit architectures, and enable
    Multiarch.  (Closes: #665416)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 22 Apr 2012 08:40:16 -0400

icu (4.8.1.1-5) unstable; urgency=low

  * Enable security hardening flags.  Thanks to Simon Ruderich for doing
    100% of the work, sending a clean patch, and providing clear
    instructions on how to verify.  (Closes: #663601)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 23 Mar 2012 22:45:55 -0400

icu (4.8.1.1-4) unstable; urgency=low

  * Add patch to add CCMP support for Indic.  (Closes: #655101)
  * Update standards version.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 11 Mar 2012 18:30:29 -0400

icu (4.8.1.1-3) unstable; urgency=high

  * Add patch to address CVE-2011-4599, a potential buffer overflow.
    (Closes: #654883)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 21 Jan 2012 19:44:44 -0500

icu (4.8.1.1-2) unstable; urgency=low

  * debian/patches/icudata-stdlibs.patch: Link stdlibs to libicudata so we
    get reasonably sane ELF headers on armhf.  Thanks Adam Conrad
    <adconrad@ubuntu.com>.  (Closes: #653457)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 04 Jan 2012 09:52:11 -0500

icu (4.8.1.1-1) unstable; urgency=low

  * New upstream release
  * Add simple patch to define PATH_MAX when not defined.  Not an ideal
    solution, but it will do for now.  (Closes: #643661)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 09 Nov 2011 09:59:08 -0500

icu (4.8.1-2) experimental; urgency=low

  * Fix 64-bit kfreebsd configure problem.  Thanks Petr Salinger.
    (Closes: #630517)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 10 Sep 2011 08:17:58 -0400

icu (4.8.1-1) experimental; urgency=low

  * New upstream release
  * Remove 32-bit source directory on clean.  (Closes: #630514)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 03 Sep 2011 10:14:57 -0400

icu (4.8-1) experimental; urgency=low

  * New upstream release
  * Upstream release includes fix to RegexMatch crash (Closes: #606886)
  * Updated standards to 3.9.2; no changes required

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 28 May 2011 11:30:22 -0400
