## icu 4.8.1.1-3maemo2

=== debian/changelog ===
icu (4.8.1.1-3maemo2) unstable; urgency=low
  * Initial port for Fremantle
 -- Marcin Mielniuczuk <marmistrz@linux.pl>  Wed, 28 Nov 2012 16:58:26 +0100
