=== debian/control ===
Source: icu
Section: libs
Priority: optional
Maintainer: Marcin Mielniuczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Jay Berkenbilt <qjb@debian.org>
Standards-Version: 3.9.2
Build-Depends: cdbs, debhelper (>= 5), doxygen, gcc-multilib [amd64 kfreebsd-amd64 ppc64] | gcc-4.1 (<< 4.1.2) [amd64 kfreebsd-amd64 ppc64],
 g++-multilib [amd64 kfreebsd-amd64 ppc64] | g++-4.1 (<< 4.1.2) [amd64 kfreebsd-amd64 ppc64],
 libc6-dev-i386 [amd64], libc0.1-dev-i386 [kfreebsd-amd64], libc6-dev-powerpc [ppc64], maemo-optify
Homepage: http://www.icu-project.org

Package: libicu48
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libicu44
Replaces: libicu44
Description: International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the runtime
 libraries for ICU.

Package: libicu48-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libicu48 (= ${binary:Version})
Description: International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains debugging symbols
 for the libraries.

Package: libicu48-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libicu48 (= ${binary:Version}), libc6-dev | libc-dev
Conflicts: libicu-dev
Replaces: libicu-dev
Provides: libicu-dev
Suggests: icu-doc
Description: Development files for International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the development
 files for ICU along with programs used to manipulate data files found
 in the ICU sources.

Package: lib32icu48
Section: libs
Architecture: amd64 ppc64 kfreebsd-amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: International Components for Unicode (32-bit)
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the runtime
 libraries for ICU.

Package: lib32icu-dev
Section: libdevel
Architecture: amd64 ppc64 kfreebsd-amd64
Depends: ${misc:Depends}, libicu-dev (= ${binary:Version}), lib32icu48 (= ${binary:Version})
Suggests: icu-doc
Description: Development files for International Components for Unicode (32-bit)
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the development
 files for ICU along with programs used to manipulate data files found
 in the ICU sources.

Package: icu48-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: API documentation for ICU classes and functions
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains HTML files
 documenting the ICU APIs.
