=== debian/changelog ===
icu (52.1-3) unstable; urgency=medium

  * Add package dependency information to assist with upgrades in Ubuntu.
    This eliminates the need for a delta on the Ubuntu version of the
    package.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 24 Dec 2013 11:45:03 -0500

icu (52.1-2) unstable; urgency=low

  * Re-upload to unstable

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 03 Dec 2013 16:05:40 -0500

icu (52.1-1) experimental; urgency=low

  * New upstream release
  * Standards version 3.9.5 (no changes required)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 13 Nov 2013 16:20:40 -0500

icu (52~m1-2) experimental; urgency=low

  * Updated year in copyright file
  * Standards version 3.9.4 (no changes required)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 15 Sep 2013 09:02:30 -0400

icu (52~m1-1) experimental; urgency=low

  * New upstream release
  * Fixed debian/watch file based on new version numbering
  * Various bugs have been fixed upstream.  (Closes: #712501, #690156)
  * Avoid packaging debugging library for libicudata since it has no
    debugging symbols in it.  (Closes: #698696)
  * Clarify some ambiguous language in the copyright file, and address the
    issue of derived data from an IETF RFC that does not actually appear
    in the sources.  (Closes: #721590)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 14 Sep 2013 20:52:27 -0400

icu (4.8.1.1-14) unstable; urgency=high

  * Acknowledge NMU.  Thanks.
  * Update standards version to 3.9.5.  No changes required.
  * No changes other than version numbers; uploading with urgency=high.

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 13 Nov 2013 16:19:32 -0500

icu (4.8.1.1-13+nmu1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2013-2924: use-after-free issue in csrucode.cpp (closes: #726477).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 27 Oct 2013 03:49:58 +0000

icu (4.8.1.1-13) unstable; urgency=low

  * Multi-arch libicu-dev.  Thanks Dmitrijs Ledkovs
    <dmitrij.ledkov@ubuntu.com>!  (Closes: #699763)
  * Mark doxygen as architecture-independent build dependency.
    (Closes: #706795)
  * Depend on autotools-dev to update config.guess

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 21 Aug 2013 20:01:15 -0400

icu (4.8.1.1-12) unstable; urgency=high

  * Add patch to address CVE-2013-0900, a threading race condition.
    (Closes: #702346)

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 21 Mar 2013 11:29:08 -0400

icu (4.8.1.1-11) unstable; urgency=medium

  * Fix crash on rendering incremental Malayalam text input.  Thanks Colin
    Watson. (Closes: #702982)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 16 Mar 2013 14:58:15 -0400

icu (4.8.1.1-10) unstable; urgency=low

  * Include pkg-config files in dev package.  Thanks Tommi Vainikainen.
    (Closes: #687339)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 17 Nov 2012 14:37:40 -0500

icu (4.8.1.1-9) unstable; urgency=low

  * debian/rules: Use xz compression for binary packages.
    (Closes: #683901)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 11 Aug 2012 12:41:28 -0400
