=== debian/watch ===
version=3
opts="uversionmangle=s/_/\./g" \
http://download.icu-project.org/files/icu4c/(\d+\.[\d\.]+)/icu4c-([\d_\.]+)-src.tgz
