=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: icu
 Section: libs
 Priority: optional
-Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: cdbs (>= 0.4.93~), debhelper (>> 9~), dpkg-dev (>= 1.16.1~), autotools-dev, hardening-wrapper
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Standards-Version: 3.9.6
+Build-Depends: cdbs (>= 0.4.106~), debhelper (>> 9~), dpkg-dev (>= 1.16.1~), autotools-dev, g++ (>= 4:5-0), g++-5 (>= 5.2.1-10)
 Build-Depends-Indep: doxygen (>= 1.7.1)
+Build-Conflicts: clang
 Homepage: http://www.icu-project.org
 
-Package: libicu52
+Package: libicu55
 Section: libs
 Multi-Arch: same
 Architecture: any
@@ -18,12 +19,12 @@
  Unicode and locale support.  This package contains the runtime
  libraries for ICU.
 
-Package: libicu52-dbg
+Package: libicu55-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libicu52 (= ${binary:Version})
+Depends: ${misc:Depends}, libicu55 (= ${binary:Version})
 Description: International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
  Unicode and locale support.  This package contains debugging symbols
@@ -34,7 +35,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, libicu52 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
+Depends: ${misc:Depends}, ${shlibs:Depends}, libicu55 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev, libstdc++-5-dev (>= 5.2.1-10)
 Suggests: icu-doc
 Description: Development files for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
@@ -47,8 +48,8 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 52.1-3~)
-Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 52.1-3~)
+Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 55.1-1~)
+Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 55.1-1~)
 Description: Development utilities for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
  Unicode and locale support. This package contains programs used to
