## icu 57.1

=== debian/changelog ===
icu (57.1-6ubuntu0.3) artful-security; urgency=medium

  * SECURITY UPDATE: integer overflow in Persian Cal
    - debian/patches/CVE-2017-15422.patch: use int64_t math for one
      operation to avoid overflow, add tests in source/i18n/gregoimp.cpp,
      source/i18n/gregoimp.h, source/i18n/persncal.cpp,
      source/test/intltest/calregts.cpp, source/test/intltest/calregts.h.
    - CVE-2017-15422

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 27 Mar 2018 10:38:48 -0400

icu (57.1-6ubuntu0.2) artful-security; urgency=medium

  * SECURITY UPDATE: double free
    - debian/patches/CVE-2017-14952.patch: fixes double free in
      createMetaZoneMappings() source/i18n/zonemeta.cpp.
    - CVE-2017-14952
  * Disable self-test failure on x86 arch due to French locale

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 23 Oct 2017 11:38:17 -0300

icu (57.1-6) unstable; urgency=high

  * Backport upstream security fix for CVE-2017-7867 and CVE-2017-7868,
    heap-buffer-overflow in utf8TextAccess (closes: #860314).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 16 Apr 2017 08:50:52 +0000

icu (57.1-5) unstable; urgency=high

  * Backport upstream fix for CVE-2016-7415: stack-based buffer overflow in
    the Locale class via a long locale string (closes: #838694).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Nov 2016 10:58:31 +0000

icu (57.1-4) unstable; urgency=high

  * Backport upstream fix for CVE-2016-0494: integer signedness issue in
    IndicRearrangementProcessor.
  * Backport upstream fix for CVE-2016-6293: the uloc_acceptLanguageFromHTTP
    function does not ensure that there is a '\0' character at the end of a
    certain temporary array.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 07 Sep 2016 22:17:44 +0000

icu (57.1-3) unstable; urgency=low

  * Update libicu-dev dependency of libstdc++-dev (closes: #833938).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 10 Aug 2016 16:57:09 +0000

icu (57.1-2) unstable; urgency=medium

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Implement cross build support again for debhelper packaging
    (closes: #833416).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 04 Aug 2016 04:57:45 +0000

icu (57.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * Update Standars-Version to 3.9.8.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Aug 2016 20:49:39 +0200

icu (57.1-1) experimental; urgency=low

  * New major upstream release (closes: #804026).
  * Update package names due to soname bump.
  * Add icu-devtools debug package.
  * Drop CVE-2015-2632.patch as this release contains it.
  * Update patches.
  * Keep rebuildable.
  * Update Standars-Version to 3.9.7 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Move icu-config to a M-A:no package (closes: #776821).
    + Move icu-config from icu-devtools to libicu-dev.
    + Declare relevant Breaks and Replaces.
    + Remove Multi-Arch:same from libicu-dev.

  [ Guido Günther <agx@sigxcpu.org> ]
  * Add build and smoke autopkgtest (closes: #813338).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 27 Mar 2016 10:46:16 +0000
